Settlements
Settlements and settlement batches
Authentication
Requires session cookie (web app) or API key (x-api-key header). All endpoints are tenant-scoped via entityId.
Endpoints
| Method | Path | Description |
|---|---|---|
| GET | /api/settlements?entityId= | List settlements |
| POST | /api/settlements | Record settlement |
| GET | /api/settlement-batches?entityId= | List batches |
List settlements
GET /api/settlements?entityId={entityId}
Returns settlements for the entity. Supports batchId, status, dateRange, and other filters.
Record settlement
POST /api/settlements
Body: { "entityId", "batchId?", "amount", "counterpartyId", "date", "reference?", ... }
List settlement batches
GET /api/settlement-batches?entityId={entityId}
Returns settlement batches. Supports status, dateRange, and other filters.